<div class="container-fluid sizing custom-background">
  <div class="row">
    <div class="col col-md-12 card card-body">
      <h5>Employees monitoring <strong>Cidenet.SAS</strong></h5>
    </div>
  </div>
  <div class="row mt-2">
    <div class="col col-md-12 card card-body">
      <div class="container-fluid">
        <div class="row m-0 p-0 justify-content-end">
            <div class="col col-md-1 form-group">
              <label for="">Clean</label>
              <button type="button" class="btn btn-danger form-control" (click)="cleanFilters()"><i class="fas fa-trash-alt"></i></button>
            </div>
            <div class="col col-md-2 form-group">
              <form [formGroup]="searchForm">
                <label for="employmentCountry">Employment C.</label>
                <select name="" class="form-control" id="employmentCountry" formControlName="employmentCountry" (click)="searchByEmployementCountry()">
                  <option value="USA">United States</option>
                  <option value="CO">Colombia</option>
                </select>
              </form>
            </div>
            <div class="col col-md-2 form-group">
              <form [formGroup]="searchForm">
              <label for="">Document Type</label>
              <select  aria-placeholder="DocumentType" formControlName="documentType" class="custom-select form-control" (change)="searchByDocumentType()">
                <option value="CC">Cedula Ciudadania</option>
                <option value="CE">Cedula Extranjería</option>
                <option value="PASSPORT">Pasaporte</option>
                <option value="SP">Permiso Especial</option>
              </select>
            </form>
            </div>
            <div class="col col-md-2 mr-0 form-group">
              <form [formGroup]="searchForm">
              <label for="">State</label>
              <select name="" id="" formControlName="state" (change)="searchByState()" class="custom-select form-control">
                <option value="true">Active</option>
                <option value="false">Inactive</option>
              </select>
            </form>
            </div>
          <div class="col col-md-5 form-group">
            <label for="">Search</label>
            <div class="input-group mb-2">
              <input type="text" class="form-control"  id="inlineFormInputGroup"
              placeholder="name, other name, surname, email, document number..."
              [(ngModel)]="criteria" >
              <div class="input-group-prepend">
                <button type="button" (click)="searchEmployeeByCriteria()" class=" btn btn-warning text-white"><i class="fas fa-search"></i></button>
              </div>
            </div>
          </div>

        </div>
        <div class="row mt-1">
          <table class="table col col-md-12">
            <thead class="cabecera">
              <tr class="text-white text-center">
                <th scope="col">Name</th>
                <th scope="col">O. Name</th>
                <th scope="col">Sourname</th>
                <th scope="col">Email</th>
                <th scope="col">Area</th>
                <th scope="col">Employment Country</th>
                <th scope="col">Document Type</th>
                <th scope="col">Document Number</th>
                <th scope="col">Registrarion Date</th>
                <th scope="col">Edit</th>
                <th scope="col">Delete</th>
              </tr>
            </thead>
            <tbody *ngIf="employesList && employesList.length > 0">
              <tr *ngFor="let employee of employesList" class="text-center">
                <td>{{employee.name}}</td>
                <td>{{employee.otherName}}</td>
                <td>{{employee.surname}}</td>
                <td>{{employee.email}}</td>
                <td>{{employee.workArea.description}}</td>
                <td>{{employee.employmentCountry}}</td>
                <th>{{employee.idType}}</th>
                <td>{{employee.identificationNumber}}</td>
                <td>{{employee.registrationDate }}</td>
                <td><a [routerLink]="['/core/update-employee', employee.id]"><i class="fas fa-user-edit" style="color: orange;"></i></a></td>
                <td><i class="fas fa-user-times" (click)="setSelectedUser(employee); display = true" style="color: orangered;" data-toggle="modal" data-target="#deleteModal"></i></td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="row" *ngIf="employesList && employesList.length == 0">
          <div class="col col-md-12 alert alert-info" role="alert">
            Not employes found
          </div>
        </div>
        <div class="row justify-content-start">
          <nav aria-label="..." class="col col-md-6">
            <ul class="pagination">
              <li class="page-item">
                <a class="page-link" href="#" aria-label="Previous">
                  <span aria-hidden="true">&laquo;</span>
                  <span class="sr-only">Previous</span>
                </a>
              </li>
              <li class="page-item" [ngClass]="{'active': page == pageNumber}" *ngFor="let page of pager">
                <button class="page-link" (click)="changePage(page)">{{page +1}}<span class="sr-only" *ngIf="page == pageNumber" >(current)</span></button>
              </li>
              <li class="page-item">
                <a class="page-link" href="#" aria-label="Next">
                  <span aria-hidden="true">&raquo;</span>
                  <span class="sr-only">Next</span>
                </a>
              </li>
            </ul>
          </nav>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" *ngIf="display" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Delete user</h5>
        <button type="button" (click)="resetSelectedUser()" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body"  *ngIf="selectedEmployeeForDelete && selectedEmployeeForDelete !== null ">
        <div class="container-fluid" style="width: 100%;">
          <div class="row">
            <div class="col col-md-12">
              <h6 >Do you want delete this user?</h6>
            </div>
          </div>
        </div>
        <div class="row mt-4">
              <div class="col col-md-3 form-group">
                <label for="">Id</label>
                <div class="form-control" aria-readonly="true">{{selectedEmployeeForDelete.id}}</div>
              </div>
              <div class="col col-md-9 form-group">
                <label for="">Document number</label>
                <div class="form-control" aria-readonly="true">{{selectedEmployeeForDelete.identificationNumber}}</div>
              </div>
        </div>
        <div class="row mt-2">
          <div class="col col-md-12 form-group">
            <label for="">Email</label>
            <div class="form-control" aria-readonly="true">{{selectedEmployeeForDelete.email}}</div>
          </div>
        </div>
        <div class="row mt-1" *ngIf="deleteResponse.error">
          <div class="col col-md-12 alert alert-danger">
            An error has ocurred
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="resetSelectedUser()">Cancel</button>
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="deleteEmployee()">Delete</button>
      </div>
    </div>
  </div>
</div>
